## molds 0.0~20120819

=== debian/changelog ===
molds (0.0~20120819-1) unstable; urgency=low

  * Initial release (Closes: #685316).

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Aug 2012 15:54:52 +0200
