=== debian/control ===
Source: molds
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libboost-dev
Standards-Version: 3.9.2
Homepage: http://en.sourceforge.jp/projects/molds/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/molds/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/molds/
DM-Upload-Allowed: yes

Package: molds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Semi-empirical electronic structure and molecular dynamics
 MolDS is a semi-empirical electronic structure and molecular dynamics
 package.
 .
 Features includes:
 .
  * Semi-Empirical methods CNDO2, INDO, ZINDO/S, MNDO, AM1 and PM3
  * Excited States via Single Configuration Interaction (CIS)
  * Dispersion corrections to AM1 (AM1-D) and PM3 (PM3-D)
  * Pairwise Distance Directed Gaussian (PDDG) correction to PM3
    (PM3/PDDG)
  * Single-Point, geometry optimization, Molecular Dynamics (MD),
    Monte-Carlo (MC) and  Polymer Molecular Dynamics (RPMD) type of
    calculations
 .
 MolDS currently ships parameters for the elements H, C, N, O, and S.
