## molds 0.2.0

=== debian/changelog ===
molds (0.2.0-1) unstable; urgency=low

  * New upstream relesae (upstream tarball based on subversion revision 1157).
  * debian/patches/makefile_flags.patch: Updated.
  * debian/patches/lapacke_rpath.patch: Updated.
  * debian/control (Build-Depends): Added libblas-dev.
  * debian/rules (LIBS): New variable.

 -- Michael Banck <mbanck@debian.org>  Sat, 29 Dec 2012 19:52:03 +0100
