=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export OPENBLAS_TOP_DIR=/usr/lib/openblas-base/
 export OPENBLAS_LIB_DIR=/usr/lib/openblas-base
 export CC=g++
+export LIBS=-lpthread -lgomp -L/usr/lib/lapack/ -llapacke
 
 COMPILER_FLAGS = -g -Wall -fopenmp
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
