=== debian/changelog ===
molds (0.3.0-3) unstable; urgency=low

  * debian/control (Build-Depends): Added mpi-default-bin.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Dec 2013 11:10:57 +0100

molds (0.3.0-2) unstable; urgency=low

  * debian/rules (CC): Reintroduced as mpicxx.
  * debian/rules (override_dh_auto_test): Filter out warnings from OpenBLAS
    rather than redirecting stderr to /dev/null.
  * debian/patches/testsuite_output.patch: New patch, removes spurious "Max
    Heap:" differences from output diffing.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Dec 2013 00:24:40 +0100

molds (0.3.0-1) unstable; urgency=low

  * New upstream release (upstream tarball based on subversion revision 1586).
    New features include:
    - Hybrid MPI/OpenMP parallelization.
    - GEDIIS algorithm added for geometry optimizations
    - Mulliken population in excited states
    - Unpaired electron population
  * debian/patches/makefile_flags.patch: Updated.
  * debian/control (Build-Depends): Added mpi-default-dev.
  * debian/rules (CC): Removed.
  * debian/control (Build-Depends): Added libboost-mpi-dev,
    libboost-serialization-dev and libboost-thread-dev.
  * debian/rules (override_dh_auto_build): Do not run depend target
    explicitly.
  * debian/rules (LIBS): Renamed to ...
  * debian/rules (LIBSBASE): ... this.
  * debian/rules (LIBSBASE): Added -lstdc++, -lm, -lmpi and -lmpi_cxx.
  * debian/patches/lapacke_rpath.patch: Removed.
  * debian/molds.install: Updated to renamed filename.
  * debian/molds.links: New file, ship a compatibility symlink for the renamed
    MolDS.out executable.
  * debian/rules (override_dh_auto_clean): Remove test/temp.dat, if present.
  * debian/rules (OMPI_MCA_orte_rsh_agent): New variable.
  * debian/patches/makefile_flags.patch: Added -lboost_system to BOOST_LIBS
    variable.
  * debian/rules (override_dh_auto_test): Teporarily redirect stderr to
    /dev/null to avoid very large amounts (> 1 million) of warnings from
    OpenBLAS (see #684344).
  * debian/molds.examples: New file, adding some test cases as exapmles.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Dec 2013 20:30:51 +0100
