=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libblas-dev, libboost-dev
+Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libblas-dev, libboost-dev, libboost-mpi-dev, libboost-serialization-dev, libboost-thread-dev, mpi-default-bin, mpi-default-dev
 Standards-Version: 3.9.2
 Homepage: http://en.sourceforge.jp/projects/molds/
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/molds/
