=== debian/changelog ===
molds (0.3.1-2build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:06:09 +0200

molds (0.3.1-2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:55:45 +0200

molds (0.3.1-2build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:13:23 +0100

molds (0.3.1-2) unstable; urgency=medium

  * Team upload

  [ Michael Banck ]
  * debian/control (Vcs-Browser, Vcs-Svn): Updated.

  [ Drew Parsons ]
  * d/rules: drop excess from LIBSBASE (Closes: #1075979)

  [ наб ]
  * d/rules: cd;make -> $(MAKE) -C
  * d/rules: allow failure from make clean
  * Makefile seems to need mkdir -p src/obj
  * Add hardening

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Drop fields with obsolete URLs.
  * Update renamed lintian tag names in lintian overrides.
  * watch file standard 4 (routine-update)
  * d/rules: Use dh_-tools instead of $(MAKE)
  * Add Homepage
  * d/watch: At least report new version (even if this is not expected)
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Sat, 09 Nov 2024 17:52:14 +0100

molds (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU.
  * debian/patches/makefile_flags.patch: Updated.
  * debian/patches/testsuite_output.patch: Updated, one hunk applied upstream.
  * debian/patches/testsuite_output.patch: Fixed patch to not filter out
    everything.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Oct 2014 20:09:18 +0100

molds (0.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 4.9 (Katsuhiko Nishimra). Closes: #746884.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 14:06:55 +0200
