=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export CC=mpicxx
export BOOST_TOP_DIR=/usr/
export BOOST_INC_DIR=/usr/include/mpi
export OPENBLAS_TOP_DIR=/usr/lib/openblas-base/
export OPENBLAS_LIB_DIR=/usr/lib/openblas-base
export LIBSBASE=-lpthread -lgomp -llapacke

export OMPI_MCA_orte_rsh_agent=/bin/false

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS=-g -Wall $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_clean:
	mkdir -p src/obj
	dh_auto_clean --sourcedirectory=src -- -f Makefile_GNU clean
	rm -rf test/temp.dat src/obj

override_dh_auto_build:
	mkdir -p src/obj
	dh_auto_build --sourcedirectory=src -- -f Makefile_GNU

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cd test; ruby Test_Of_MolDS.rb 2>&1 | grep -v Detect.OpenMP.Loop
endif
