=== debian/watch ===
version=4

https://osdn.net/projects/molds/ .*/molds/tags/(\d[\d.]+)

# http://svn.sourceforge.jp/projects/molds/scm/svn/tags/ .*/tags/([\d.]+)/$

#opts=downloadurlmangle=s#.*?/tags/([\d.]+)/$#http://de.sourceforge.jp/projects/molds/scm/svn/archive/head/tags/$1/?format=tar.gz#g \
# http://de.sourceforge.jp/projects/molds/scm/svn/tags/ .*/tags/([\d.]+)/$

# filenamemangle=s#.*?/tags/([\d.]+)#molds-$1.tar.gz#g

# /projects/molds/scm/svn/archive/head/tags/0.2.0/?format=tar.gz
# /projects/molds/scm/svn/tree/head/tags/0.2.0/
# http://de.sourceforge.jp/downloads/scmarchive/g/molds/svn/1136aad2-a195-0410-b898-f5ea1d11b9d8/molds-tags_0.1.0-r1361.tar.gz/
# http://de.sourceforge.jp/downloads/scmarchive/g/molds/svn/1136aad2-a195-0410-b898-f5ea1d11b9d8/molds-tags_0.2.0-r1361.tar.gz/
